com.amazonaws.services.simpleworkflow.model

## Class ActivityTaskCompletedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ActivityTaskCompletedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActivityTaskCompletedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ActivityTaskCompleted` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActivityTaskCompletedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActivityTaskCompletedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getResult()` The results of the activity task (if any).
`Long` `getScheduledEventId()` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`Long` `getStartedEventId()` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.
`int` `hashCode()`
`void` `setResult(String result)` The results of the activity task (if any).
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`void` `setStartedEventId(Long startedEventId)` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivityTaskCompletedEventAttributes` `withResult(String result)` The results of the activity task (if any).
`ActivityTaskCompletedEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`ActivityTaskCompletedEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivityTaskCompletedEventAttributes

    public ActivityTaskCompletedEventAttributes()

### Method Detail

#### setResult

    public void setResult(String result)

The results of the activity task (if any).

Parameters:
  `result` - The results of the activity task (if any).

#### getResult

    public String getResult()

The results of the activity task (if any).

Returns:
  The results of the activity task (if any).

#### withResult

    public ActivityTaskCompletedEventAttributes withResult(String result)

The results of the activity task (if any).

Parameters:
  `result` - The results of the activity task (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public ActivityTaskCompletedEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withStartedEventId

    public ActivityTaskCompletedEventAttributes withStartedEventId(Long startedEventId)

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActivityTaskCompletedEventAttributes clone()

Overrides:
  `clone` in class `Object`